=== debian/control ===
--- 
+++ 
@@ -1,30 +1,31 @@
 Source: kwayland
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.78.0~),
                graphviz,
                libegl1-mesa-dev,
                libqt5sql5-sqlite,
-               libqt5waylandclient5-dev (>= 5.12.0~),
+               libqt5waylandclient5-dev (>= 5.14.0~),
                libwayland-dev (>= 1.13~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               plasma-wayland-protocols (>= 1.1.1),
-               qtbase5-dev (>= 5.12.0~),
+               plasma-wayland-protocols (>= 1.1~),
+               qtbase5-dev (>= 5.14.0~),
                qtbase5-private-dev (>= 5.4.0~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
                qtwayland5-dev-tools,
-               wayland-protocols (>= 1.15~),
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/kde/frameworks/kwayland
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
+               wayland-protocols (>= 1.15~)
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/kwayland
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwayland
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwayland.git
 Rules-Requires-Root: no
 
 Package: kwayland-data
@@ -41,9 +42,9 @@
 Depends: libkf5waylandclient5 (= ${binary:Version}),
          libkf5waylandserver5 (= ${binary:Version}),
          libwayland-dev (>= 1.13~),
-         qtbase5-dev (>= 5.12.0~),
+         qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Replaces: kwayland-dev (<< 4:5.23.0-2~)
 Breaks: kwayland-dev (<< 4:5.23.0-2~)
 Recommends: libkf5wayland-doc (= ${source:Version})
