=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
                libegl1-mesa-dev,
                libqt5sql5-sqlite,
@@ -21,7 +21,7 @@
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
                qtwayland5-dev-tools,
-               wayland-protocols (>= 1.15~)
+               wayland-protocols (>= 1.15~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kwayland
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwayland
@@ -44,7 +44,7 @@
          libwayland-dev (>= 1.13~),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Replaces: kwayland-dev (<< 4:5.23.0-2~)
 Breaks: kwayland-dev (<< 4:5.23.0-2~)
 Recommends: libkf5wayland-doc (= ${source:Version})
