## kwayland 5.86.0

=== debian/changelog ===
kwayland (4:5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)
  * Bump plasma-wayland-protocols build depend version to >= 1.4.0~
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:49:49 +0100

kwayland (4:5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:29:20 +0100

kwayland (4:5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:02:07 +0100

kwayland (4:5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:19:13 +0100

kwayland (4:5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:58:52 +0100

kwayland (4:5.81.0a-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)
  * Update symbols.
  * Bump plasma-wayland-protocols build dependency to 1.2.0

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:31:19 +0100
