=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
                libegl1-mesa-dev,
                libqt5sql5-sqlite,
@@ -15,7 +15,7 @@
                libwayland-dev (>= 1.13~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               plasma-wayland-protocols (>= 1.1~),
+               plasma-wayland-protocols (>= 1.4.0~),
                qtbase5-dev (>= 5.14.0~),
                qtbase5-private-dev (>= 5.4.0~),
                qttools5-dev,
