## kwayland 5.98.0

=== debian/changelog ===
kwayland (4:5.98.0-0ubuntu2) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 17 Sep 2022 17:03:15 +0300

kwayland (4:5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)
  * Build depend on qtwayland5-private-dev

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:33:57 +0100

kwayland (4:5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:06:18 +0100

kwayland (4:5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:31:59 +0100

kwayland (4:5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)
  * Drop included upstream patch.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:57:49 +0100

kwayland (4:5.94.0a-0ubuntu2) kinetic; urgency=medium

  * Backport upstream patch to fix include dir in the generated pri file.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 18 May 2022 14:13:05 +0300

kwayland (4:5.94.0a-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Drop included upstream_fix-pkgconfig-include-path.patch
  * Update symbols.
  * Rename tarball due to upstream respin.
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:21:35 +0100

kwayland (4:5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)
  * Add upstream_fix-pkgconfig-include-path.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:24:56 +0100
