=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
                libegl1-mesa-dev,
                libqt5sql5-sqlite,
                libqt5waylandclient5-dev (>= 5.15.2~),
@@ -20,6 +20,7 @@
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
                qtwayland5-dev-tools,
+               qtwayland5-private-dev,
                wayland-protocols (>= 1.15~),
 Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kwayland
